import { OnInit, OnChanges, EventEmitter, SimpleChanges } from '@angular/core';
import { ShareButton, ShareProvider } from '../../helpers/index';
export declare class ShareButtonsComponent implements OnInit, OnChanges {
    /** Share link args */
    url: string;
    title: string;
    description: string;
    image: string;
    tags: string;
    /** Show count on share-buttons, disabled by default */
    showCount: boolean;
    /** Indicates weather default style is applied to the buttons */
    defaultStyle: boolean;
    /** Add default class to all buttons */
    buttonClass: string;
    /** Buttons default templates */
    facebook: any;
    twitter: any;
    linkedIn: any;
    tumblr: any;
    google: any;
    pinterest: any;
    stumbleUpOn: any;
    reddit: any;
    whatsApp: any;
    count: EventEmitter<number>;
    popUpClosed: EventEmitter<ShareProvider>;
    /** Share buttons to be displayed   */
    buttons: ShareButton[];
    /** Total Count: the sum of all buttons share count */
    tCount: number;
    ngOnInit(): void;
    /** Reset total count on URL changes */
    ngOnChanges(changes: SimpleChanges): void;
    /** Sum all buttons count & emits total */
    counter(count: number): void;
    /** emits closed button type: so user can tell which button has been clicked */
    shareClosed(provider: ShareProvider): void;
}
